import { ActivityCreateDto, ActivityDto, ActivityResponseDto, ActivitySearchDto, ActivityStatisticsResponseDto, MaybeDuplicate } from 'src/dtos/activity.dto';
import { AuthDto } from 'src/dtos/auth.dto';
import { BaseService } from 'src/services/base.service';
export declare class ActivityService extends BaseService {
    getAll(auth: AuthDto, dto: ActivitySearchDto): Promise<ActivityResponseDto[]>;
    getStatistics(auth: AuthDto, dto: ActivityDto): Promise<ActivityStatisticsResponseDto>;
    create(auth: AuthDto, dto: ActivityCreateDto): Promise<MaybeDuplicate<ActivityResponseDto>>;
    delete(auth: AuthDto, id: string): Promise<void>;
}
